%bcond_with bootstrap

Name:           maven-archiver
Version:        3.6.1
Release:        %mkrel 1
Group:          Development/Java
Summary:        Maven Archiver
License:        ASL 2.0
URL:            https://maven.apache.org/shared/maven-archiver/
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://repo1.maven.org/maven2/org/apache/maven/%{name}/%{version}/%{name}-%{version}-source-release.zip

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.assertj:assertj-core)
BuildRequires:  mvn(org.codehaus.plexus:plexus-archiver)
BuildRequires:  mvn(org.codehaus.plexus:plexus-interpolation)
BuildRequires:  mvn(org.junit.jupiter:junit-jupiter)
BuildRequires:  mvn(org.slf4j:slf4j-simple)
%endif

%description
The Maven Archiver is used by other Maven plugins
to handle packaging

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
%pom_remove_dep :junit-bom

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE README.md

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE




%changelog
* Wed May 22 2024 ns80 <ns80> 3.6.1-1.mga10
+ Revision: 2065966
- new version 3.6.1 for java 21

* Mon Jul 25 2022 neoclust <neoclust> 3.5.2-2.mga9
+ Revision: 1871247
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 3.5.2-1.mga9
+ Revision: 1870610
- New version 3.5.2
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Mar 01 2021 daviddavid <daviddavid> 0:3.5.1-1.mga9
+ Revision: 1694895
- Update to version 3.5.1

* Thu Aug 20 2020 neoclust <neoclust> 0:3.5.0-1.mga8
+ Revision: 1617093
- New version 3.5.0

* Fri Feb 14 2020 umeabot <umeabot> 0:3.2.0-3.mga8
+ Revision: 1521021
- Mageia 8 Mass Rebuild

* Thu Dec 13 2018 neoclust <neoclust> 0:3.2.0-2.mga7
+ Revision: 1340974
- Rebuild against fixed java stack

* Tue Nov 13 2018 guillomovitch <guillomovitch> 0:3.2.0-1.mga7
+ Revision: 1329823
- new version 3.2.0

* Tue Sep 18 2018 umeabot <umeabot> 0:3.1.1-3.mga7
+ Revision: 1263710
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 0:3.1.1-2.mga6
+ Revision: 1101401
- Rebuild maven-* packages

* Tue May 09 2017 neoclust <neoclust> 0:3.1.1-1.mga6
+ Revision: 1099837
- New version 3.1.1
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0:3.0.0-2.mga6
+ Revision: 977277
- First rebuild of the java stack
- sync package maven-archiver with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0:2.5-8.mga5
+ Revision: 749458
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Nov 04 2013 dmorgan <dmorgan> 0:2.5-6.mga4
+ Revision: 549404
- Build with xmvn
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0:2.5-4.mga3
+ Revision: 359579
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 09 2012 dmorgan <dmorgan> 0:2.5-3.mga3
+ Revision: 268950
- Rebuild against new plexus-archiver

* Thu Jun 21 2012 tavvva <tavvva> 0:2.5-2.mga3
+ Revision: 262468
- Rebuild needed due to an API incompatibility

* Sat Jun 02 2012 gil <gil> 0:2.5-1.mga3
+ Revision: 253216
- update to 2.5

* Sun Dec 25 2011 dmorgan <dmorgan> 0:2.4.2-1.mga2
+ Revision: 187564
- Fix install
- Build with maven 3.x.
+ gil <gil>
- update to 2.4.2 (fedora)

* Thu Apr 28 2011 dmorgan <dmorgan> 0:2.4.1-6.mga1
+ Revision: 92688
- Rebuild after bootstrapping
- imported package maven-archiver


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:2.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 8 2010 Alexander Kurtakov <akurtako@redhat.com> 0:2.4.1-4
- Add missing BR.

* Mon Nov 8 2010 Alexander Kurtakov <akurtako@redhat.com> 0:2.4.1-3
- Remove tests as they don't compile.

* Mon May 31 2010 Alexander Kurtakov <akurtako@redhat.com> 0:2.4.1-2
- BR java-devel >= 1:1.6.0.

* Sat May 29 2010 Alexander Kurtakov <akurtako@redhat.com> 0:2.4.1-1
- Update to 2.4.1.

* Wed Dec 23 2009 Alexander Kurtakov <akurtako@redhat.com> 0:2.4-1
- Update to 2.4.

* Mon Dec 21 2009 Alexander Kurtakov <akurtako@redhat.com> 0:2.2-3
- BR maven-surefire-provider-junit.

* Mon Aug 31 2009 Alexander Kurtakov <akurtako@redhat.com> 0:2.2-2
- Fix line length.
- Own only specific fragment and pom.

* Wed May 20 2009 Fernando Nasser <fnasser@redhat.com> 0:2.2-1
- Fix license
- Update instructions to obtain sources
- Refresh source tar ball

* Thu Jul 26 2007 Deepak Bhole <dbhole@redhat.com> 0:2.2-0jpp.1
- Initial build
